From 9f97bdbb1f2000d9cfca8d23d31036674a1cbd17 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Thu, 19 Oct 2023 13:23:15 +1100
Subject: [PATCH v1] Relocate old comment

---
 src/backend/utils/adt/bool.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/backend/utils/adt/bool.c b/src/backend/utils/adt/bool.c
index cc4bd55..720edff 100644
--- a/src/backend/utils/adt/bool.c
+++ b/src/backend/utils/adt/bool.c
@@ -35,6 +35,7 @@ parse_bool(const char *value, bool *result)
 bool
 parse_bool_with_len(const char *value, size_t len, bool *result)
 {
+	/* Check the most-used possibilities first. */
 	switch (*value)
 	{
 		case 't':
@@ -123,8 +124,6 @@ parse_bool_with_len(const char *value, size_t len, bool *result)
  *
  * Check explicitly for "true/false" and TRUE/FALSE, 1/0, YES/NO, ON/OFF.
  * Reject other values.
- *
- * In the switch statement, check the most-used possibilities first.
  */
 Datum
 boolin(PG_FUNCTION_ARGS)
-- 
1.8.3.1

